USE AdventureWorks2008R2
GO
IF OBJECT_ID('usp_SearchOrder') is not null 
drop procedure usp_SearchOrder
GO
-- Search on Orderdate
CREATE Procedure usp_SearchOrder
@FromData Date,
@ToDate Date
AS	
SELECT 
	Pr.FirstName,
	Pr.LastName,
	Soh.SalesOrderNumber,
	Soh.TotalDue,
	Soh.Comment,
	Soh.Status,
	CC.CardType,
	Cust.AccountNumber
FROM 
Sales.SalesOrderHeader Soh 
Join Sales.CreditCard CC ON CC.CreditCardID=Soh.CreditCardID
Left Join Sales.CurrencyRate CR ON CR.CurrencyRateID=Soh.CurrencyRateID
Join Sales.Customer Cust ON Cust.CustomerID=Soh.CustomerID
Join Person.Person Pr ON Pr.BusinessEntityID=Cust.PersonID
where Soh.OrderDate between @FromData and @ToDate
GO

