USE AdventureWorks2008R2
GO
IF OBJECT_ID('usp_tv_SearchOrder') is not null 
drop procedure usp_tv_SearchOrder
GO
CREATE Procedure usp_tv_SearchOrder
@FromData Date,
@ToDate Date
AS	

DECLARE @tmp_SalesOrderHeader table(SalesOrderID int)

Insert into @tmp_SalesOrderHeader
SELECT Soh.SalesOrderID
FROM Sales.SalesOrderHeader Soh
where Soh.OrderDate between @FromData and @ToDate

SELECT 
	Pr.FirstName,
	Pr.LastName,
	Soh.SalesOrderNumber,
	Soh.SalesOrderID,
	Soh.TotalDue,
	Soh.Comment,
	Soh.Status,
	CC.CardType,
	Cust.AccountNumber
FROM 
@tmp_SalesOrderHeader tmp 
JOIN Sales.SalesOrderHeader Soh ON Soh.SalesOrderID=tmp.SalesOrderID
Join Sales.CreditCard CC ON CC.CreditCardID=Soh.CreditCardID
Left Join Sales.CurrencyRate CR ON CR.CurrencyRateID=Soh.CurrencyRateID
Join Sales.Customer Cust ON Cust.CustomerID=Soh.CustomerID
Join Person.Person Pr ON Pr.BusinessEntityID=Cust.PersonID