-- Concatenating multiple column values
-- set the test tables
create table t1 (sno int)
GO
create table t2 (sno int, col2 varchar(10))
GO
insert into t1 values(1),(2)
GO
insert into t2 values(1,'A'),(1,'B'),(2,'C'),(2,'D')
 
-- concat function
IF OBJECT_ID('ConcatColumns') is not null
drop function dbo.ConcatColumns
GO
CREATE function dbo.ConcatColumns
(@sno int)
RETURNS varchar(100)
AS
BEGIN
DECLARE @result varchar(100)
SET @result = NULL
 
SELECT @result = COALESCE(@result + ',','') + col2
FROM t2 Where sno=@sno
 
return @result
END
 
-- concat with scalar function
-- set statistics time on

select t1.sno,dbo.ConcatColumns(t1.sno)As Result
from t1
GO
-- Profiler Check !!!

-- dbcc dropcleanbuffers
-- concat with subquery

select t1.sno,
stuff
(
      (
            SELECT ',' + t2.col2
            from t2 where t1.sno=t2.sno
            for xml path('')
      )
,1,1,'') As Result
FROM t1

select * from t2  for xml path('test')
-- Profiler Check !!! 
 
-- let's push some data
declare @count int=1
while(@count <= 10000)
begin
      insert into t1 values(@count/2)
      insert into t2 values(@count/2,'dummy')
      set @count+=1
end

-- Compare the Queries

-- 